# The Imaging Source Linux Repository

This folder contains examples for using the tiscamera software in various
programming languages and/or different applications. The same examples and file
structure is used for all programming examples. Please note that not all
examples exist for every language.

Supported programming languages: C, Python.

## Programming Examples

00-list-devices

    Show what cameras there are and what you can use to identify them

01-list-properties

    Show the properties of a camera and their settings(range, current value, etc.)

02-set-properties

    Shows how to set a specific property

03-live-stream

    Live image stream from the camera

04-list-formats

    List what formats the camera offers

05-set-format

    Set the camera to a specific format

06-softwaretrigger

    Instead of a continuous image stream, trigger single images.

07-appsink

    Receive images in an application instead of just showing them.

08-save-stream

    Store a stream in a file.

09-device-lost

    Receive device-lost and other messages and react to them


## Further Examples

For extended examples look through the examples repository.

https://github.com/TheImagingSource/Linux-tiscamera-Programming-Samples

It contains examples on how to interact with OpenCV, ROS, GUI toolkits and much more.
